Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Dali » errors using Dali 0.5
errors using Dali 0.5 [message #434007] Sun, 27 August 2006 01:11 Go to next message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
Hello,

I am trying to use Dali 0.5 within eclipse 3.2 with WTP 1.5 as required.
My target platform is JavaSE 5, in fact I want to create an eclipse RCP
app that accesses a derby database via toplink essentials.

I have a persistence.xml which lists the required properties. I also
have an orm.xml file which I currently only use to declare a sequence
generator. I am seeing the following problems:

1. I use the following sequence generator annotation on an entity class:

@Id
@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="JPAX_SEQ")

the generator is declared in orm.xml as
<sequence-generator name="JPAX_SEQ"/>

now, in the source editor, I always see an error marker on the @Id
annotation, saying "Generator name 'null' not defined".

2. I see intermittent NullPointerExceptions, and recently a
FileNotFoundException on an entity class file from the JavaBuilder (I
lost the stacktrace, will post when I get another one)

can anybody comment?
thanks,
Christian
Re: errors using Dali 0.5 [message #434010 is a reply to message #434007] Sun, 27 August 2006 13:17 Go to previous messageGo to next message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
as a follow up, heres one stack trace. There was also an error when
requesting code completion inside an annotation

java.lang.NullPointerException
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.processSourceTypeChildChanged(JavaPersistentTypeModelA dapter.java:353)
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.sourceTypeChanged(JavaPersistentTypeModelAdapter.java: 302)
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.synchWithJavaDelta(JavaPersistentTypeModelAdapter.java :284)
at
org.eclipse.dali.orm.adapters.java.JavaPersistenceFileModelA dapter.synchWithJavaDelta(JavaPersistenceFileModelAdapter.ja va:129)
at
org.eclipse.dali.orm.adapters.java.JavaPersistenceFileModelA dapter.handleEvent(JavaPersistenceFileModelAdapter.java:76)
at
org.eclipse.dali.orm.impl.PersistenceFileImpl.handleEvent(Pe rsistenceFileImpl.java:199)
at
org.eclipse.dali.orm.impl.PersistenceModelManager$ElementCha ngeProcessor.elementChanged(PersistenceModelManager.java:403 )
Re: errors using Dali 0.5 [message #434014 is a reply to message #434007] Mon, 28 August 2006 20:40 Go to previous messageGo to next message
Neil Hauge is currently offline Neil Hauge
Messages: 469
Registered: July 2009
Senior Member
Hi Christian,

For diagnostic purposes, can you check your Plugin Details for the full
version string of the "Dali Core" plugin. If it is dated pre-06/27 there
is an update available that should solve the first problem you are having,
and possibly some of the exceptions you have been seeing as well.

We don't actually support the orm.xml in 0.5, but we tried to prevent as
many false problem messages as possible.

Let me know what you find,
Neil




Christian Sell wrote:

> Hello,

> I am trying to use Dali 0.5 within eclipse 3.2 with WTP 1.5 as required.
> My target platform is JavaSE 5, in fact I want to create an eclipse RCP
> app that accesses a derby database via toplink essentials.

> I have a persistence.xml which lists the required properties. I also
> have an orm.xml file which I currently only use to declare a sequence
> generator. I am seeing the following problems:

> 1. I use the following sequence generator annotation on an entity class:

> @Id
> @GeneratedValue(strategy=GenerationType.SEQUENCE, generator="JPAX_SEQ")

> the generator is declared in orm.xml as
> <sequence-generator name="JPAX_SEQ"/>

> now, in the source editor, I always see an error marker on the @Id
> annotation, saying "Generator name 'null' not defined".

> 2. I see intermittent NullPointerExceptions, and recently a
> FileNotFoundException on an entity class file from the JavaBuilder (I
> lost the stacktrace, will post when I get another one)

> can anybody comment?
> thanks,
> Christian
Re: errors using Dali 0.5 [message #434017 is a reply to message #434014] Tue, 29 August 2006 00:56 Go to previous messageGo to next message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
Hello Neil,

what exactly do you mean by "full version string", and how am I supposed
to find it? When I go to Help->About->Plugin Details, I get a list of
plugins, but nothing that looks like the figures you mention

thanks
christian
Re: errors using Dali 0.5 [message #434018 is a reply to message #434017] Tue, 29 August 2006 15:44 Go to previous messageGo to next message
Neil Hauge is currently offline Neil Hauge
Messages: 469
Registered: July 2009
Senior Member
In the Plug-in Details, there should be a list of the installed Dali
plugins, each with a Version string in the format of [0.5.0v+date].
Another thing you could check is the zip from which you installed the
plugins or the plugins themselves, which shoud be dated. We only appended
the date to the version string for the last couple of milestones, so if
the Dali plugins don't have dates on the plugin zips or in the Plug-in
Details, this would indicate that they are old.

To get the final 0.5 release, uninstall your current dali plugins from the
plugins folder and visit the WTP Update Site or
www.eclipse.org/dali/downloads.html.

Neil


Christian Sell wrote:

> Hello Neil,

> what exactly do you mean by "full version string", and how am I supposed
> to find it? When I go to Help->About->Plugin Details, I get a list of
> plugins, but nothing that looks like the figures you mention

> thanks
> christian
Re: errors using Dali 0.5 [message #434020 is a reply to message #434018] Tue, 29 August 2006 17:08 Go to previous message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
strange, I wonder where I got the plugins with the plain 0.5 from. They
looked so official..

I have now installed R-0.5-200606282232
Christian

Neil Hauge schrieb:
> In the Plug-in Details, there should be a list of the installed Dali
> plugins, each with a Version string in the format of [0.5.0v+date].
> Another thing you could check is the zip from which you installed the
> plugins or the plugins themselves, which shoud be dated. We only
> appended the date to the version string for the last couple of
> milestones, so if the Dali plugins don't have dates on the plugin zips
> or in the Plug-in Details, this would indicate that they are old.
>
> To get the final 0.5 release, uninstall your current dali plugins from
> the plugins folder and visit the WTP Update Site or
> www.eclipse.org/dali/downloads.html.
>
> Neil
>
>
> Christian Sell wrote:
>
>> Hello Neil,
>
>> what exactly do you mean by "full version string", and how am I supposed
>> to find it? When I go to Help->About->Plugin Details, I get a list of
>> plugins, but nothing that looks like the figures you mention
>
>> thanks
>> christian
>
>
Re: errors using Dali 0.5 [message #589086 is a reply to message #434007] Sun, 27 August 2006 13:17 Go to previous message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
as a follow up, heres one stack trace. There was also an error when
requesting code completion inside an annotation

java.lang.NullPointerException
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.processSourceTypeChildChanged(JavaPersistentTypeModelA dapter.java:353)
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.sourceTypeChanged(JavaPersistentTypeModelAdapter.java: 302)
at
org.eclipse.dali.orm.adapters.java.JavaPersistentTypeModelAd apter.synchWithJavaDelta(JavaPersistentTypeModelAdapter.java :284)
at
org.eclipse.dali.orm.adapters.java.JavaPersistenceFileModelA dapter.synchWithJavaDelta(JavaPersistenceFileModelAdapter.ja va:129)
at
org.eclipse.dali.orm.adapters.java.JavaPersistenceFileModelA dapter.handleEvent(JavaPersistenceFileModelAdapter.java:76)
at
org.eclipse.dali.orm.impl.PersistenceFileImpl.handleEvent(Pe rsistenceFileImpl.java:199)
at
org.eclipse.dali.orm.impl.PersistenceModelManager$ElementCha ngeProcessor.elementChanged(PersistenceModelManager.java:403 )
Re: errors using Dali 0.5 [message #589111 is a reply to message #434007] Mon, 28 August 2006 20:40 Go to previous message
Neil Hauge is currently offline Neil Hauge
Messages: 469
Registered: July 2009
Senior Member
Hi Christian,

For diagnostic purposes, can you check your Plugin Details for the full
version string of the "Dali Core" plugin. If it is dated pre-06/27 there
is an update available that should solve the first problem you are having,
and possibly some of the exceptions you have been seeing as well.

We don't actually support the orm.xml in 0.5, but we tried to prevent as
many false problem messages as possible.

Let me know what you find,
Neil




Christian Sell wrote:

> Hello,

> I am trying to use Dali 0.5 within eclipse 3.2 with WTP 1.5 as required.
> My target platform is JavaSE 5, in fact I want to create an eclipse RCP
> app that accesses a derby database via toplink essentials.

> I have a persistence.xml which lists the required properties. I also
> have an orm.xml file which I currently only use to declare a sequence
> generator. I am seeing the following problems:

> 1. I use the following sequence generator annotation on an entity class:

> @Id
> @GeneratedValue(strategy=GenerationType.SEQUENCE, generator="JPAX_SEQ")

> the generator is declared in orm.xml as
> <sequence-generator name="JPAX_SEQ"/>

> now, in the source editor, I always see an error marker on the @Id
> annotation, saying "Generator name 'null' not defined".

> 2. I see intermittent NullPointerExceptions, and recently a
> FileNotFoundException on an entity class file from the JavaBuilder (I
> lost the stacktrace, will post when I get another one)

> can anybody comment?
> thanks,
> Christian
Re: errors using Dali 0.5 [message #589122 is a reply to message #434014] Tue, 29 August 2006 00:56 Go to previous message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
Hello Neil,

what exactly do you mean by "full version string", and how am I supposed
to find it? When I go to Help->About->Plugin Details, I get a list of
plugins, but nothing that looks like the figures you mention

thanks
christian
Re: errors using Dali 0.5 [message #589132 is a reply to message #434017] Tue, 29 August 2006 15:44 Go to previous message
Neil Hauge is currently offline Neil Hauge
Messages: 469
Registered: July 2009
Senior Member
In the Plug-in Details, there should be a list of the installed Dali
plugins, each with a Version string in the format of [0.5.0v+date].
Another thing you could check is the zip from which you installed the
plugins or the plugins themselves, which shoud be dated. We only appended
the date to the version string for the last couple of milestones, so if
the Dali plugins don't have dates on the plugin zips or in the Plug-in
Details, this would indicate that they are old.

To get the final 0.5 release, uninstall your current dali plugins from the
plugins folder and visit the WTP Update Site or
www.eclipse.org/dali/downloads.html.

Neil


Christian Sell wrote:

> Hello Neil,

> what exactly do you mean by "full version string", and how am I supposed
> to find it? When I go to Help->About->Plugin Details, I get a list of
> plugins, but nothing that looks like the figures you mention

> thanks
> christian
Re: errors using Dali 0.5 [message #589143 is a reply to message #434018] Tue, 29 August 2006 17:08 Go to previous message
Christian Sell is currently offline Christian Sell
Messages: 77
Registered: July 2009
Member
strange, I wonder where I got the plugins with the plain 0.5 from. They
looked so official..

I have now installed R-0.5-200606282232
Christian

Neil Hauge schrieb:
> In the Plug-in Details, there should be a list of the installed Dali
> plugins, each with a Version string in the format of [0.5.0v+date].
> Another thing you could check is the zip from which you installed the
> plugins or the plugins themselves, which shoud be dated. We only
> appended the date to the version string for the last couple of
> milestones, so if the Dali plugins don't have dates on the plugin zips
> or in the Plug-in Details, this would indicate that they are old.
>
> To get the final 0.5 release, uninstall your current dali plugins from
> the plugins folder and visit the WTP Update Site or
> www.eclipse.org/dali/downloads.html.
>
> Neil
>
>
> Christian Sell wrote:
>
>> Hello Neil,
>
>> what exactly do you mean by "full version string", and how am I supposed
>> to find it? When I go to Help->About->Plugin Details, I get a list of
>> plugins, but nothing that looks like the figures you mention
>
>> thanks
>> christian
>
>
Previous Topic:Dali EJB ORM JavaPolis talk
Next Topic:DDL generation and dbdefinition xmi
Goto Forum:
  


Current Time: Wed Sep 17 03:40:40 GMT 2014

Powered by FUDForum. Page generated in 0.01843 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software